package be.iminds.ilabt.jfed.git;

import org.testng.annotations.Test;

import java.util.Optional;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.*;
import static org.testng.Assert.assertTrue;

public class GitFetcherCommandBuilderTest {

    @Test
    public void testFromString1() {
        Optional<GitFetcherCommandBuilder> bo = GitFetcherCommandBuilder.fromString(
                "github https://github.com/example/example.git exampledir/exampledir2/");
        assertTrue(bo.isPresent());
        GitFetcherCommand com = bo.get().build();
        assertThat(com.getGitAuth(), is(nullValue()));
        assertThat(com.getGitAuth(), not(instanceOf(GitAuthPreferences.GitAuthSsh.class)));
    }

    @Test
    public void testFromString2() {
        Optional<GitFetcherCommandBuilder> bo = GitFetcherCommandBuilder.fromString(
                "github https://github.com/example/example.git exampledir/exampledir2/");
        assertTrue(bo.isPresent());
        bo.get().setPrivateKeyPemFile("blahblah");
        GitFetcherCommand com = bo.get().build();
        assertThat(com.getGitAuth(), is(nullValue()));
        assertThat(com.getGitAuth(), not(instanceOf(GitAuthPreferences.GitAuthSsh.class)));
    }
}
